WordPress.org

Ready to get started?Download WordPress

Forums

Navigation Link (and archives) not working (7 posts)

  1. marcoapaulo
    Member
    Posted 4 years ago #

    Hi everyone

    So, I was creating a webpage in wordpress and suddenly I noticed the navigation links (the ones at the bottom of the page, to show newer or older posts) weren't working!

    I click them, and they show the page, the problem is in the content, because it show me the last posts, even if I'm in the last page.

    You can see the problem at my site: http://www.tostamista.net/

    Click on "next page" and you can see it shows the last posts from my page. Then you click again in "next page" and it keep showing the same ones.

    I'm using Arthemia, and it always worked with me, but now it doesn't. I even tried to install PageNavi (a plugin used by the theme) but the error is the same.

    Tried to use Kubrick, the default theme, and it worked, but from what I've seen, the code is exactly the same.

    The archives don't work (by date or category or tag, the problem remains) and that pagination at the first page don't work too (but I guess it's all the same, since it's some kind of archive).

    Anyone knows how to resolve this?

    Thank you

  2. esmi
    Forum Moderator
    Posted 4 years ago #

    Have you tried:

    - deactivating all plugins to see if this resolves the problem? If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    - switching to the default theme to rule out any theme-related problems?

    - resetting the plugins folder by FTP or phpMyAdmin? Sometimes, an apparently inactive plugin can still cause problems.

  3. marcoapaulo
    Member
    Posted 4 years ago #

    I dont have any plugin activated or even at the folder. Just have the ones that come with the installation and later tried to use WP-PageNavi, but nothing more.

    The default theme works just fine, tried to do that, i even copied the code from the navigation stuff, no success.

    And the resetting sugestion, well... I installed again wordpress, deleted everything and then installed WP 2.8 again :\

  4. marcoapaulo
    Member
    Posted 4 years ago #

    Anyone? :(

  5. marcoapaulo
    Member
    Posted 4 years ago #

    Tried to install WordPress 2.7, no success. Appeared this error:

    "Warning: Cannot modify header information - headers already sent by (output started at..."

    I've been reading this (http://codex.wordpress.org/Answers-Troubleshooting#Headers_already_sent) but nothing worked.

    Then installed again 2.8, worked, but the problem remains the same!

    I don't know what to do... Could it be from my host?

  6. rmsylte
    Member
    Posted 4 years ago #

    This problem is happening on other installations. Anyone have a fix?

  7. esmi
    Forum Moderator
    Posted 4 years ago #

    It's probably a theme-specific issue.

    http://wordpress.org/support/topic/241291?replies=5

Topic Closed

This topic has been closed to new replies.

About this Topic